# SoftwareComponentFactory

@ServiceScope(value = Global::class)
interface SoftwareComponentFactory

A software component factory is responsible for providing to plugins a way to create software components. Currently the software factory only allows the creation of adhoc software components which can be used for publishing simple components. This is the case whenever there's no component model to be used and that the plugin can solely rely on outgoing variants to publish variants.

#### Since

5.3

## Functions

adhoc
Link copied to clipboard
abstract fun adhoc(name: String): AdhocComponentWithVariants
Creates an adhoc software component, which can be used by plugins to build custom component types.